Bug Hunting Session
Bug 102322 - Incorrect Text Field appearance in exported PDF files
Summary: Incorrect Text Field appearance in exported PDF files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
5.1.5.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: RTL-CTL PDF-Export
  Show dependency treegraph
 
Reported: 2016-09-21 09:15 UTC by alexrait
Modified: 2019-09-20 03:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT file with a text box (8.68 KB, application/vnd.oasis.opendocument.text)
2016-09-21 09:15 UTC, alexrait
Details
Exported PDF from the ODT. (2.81 KB, application/pdf)
2016-09-21 09:16 UTC, alexrait
Details
Exported PDF from the ODT - seems OK (68.54 KB, application/pdf)
2018-09-17 19:53 UTC, Idan Miara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description alexrait 2016-09-21 09:15:56 UTC
Created attachment 127506 [details]
ODT file with a text box

The default text of a PDF text field exported from ODT is not shown properly when this text is in Hebrew.

The attached sample contains such an ODT, export it to PDF to see that does not show Hebrew, unless the field is clicked.
Comment 1 alexrait 2016-09-21 09:16:32 UTC
Created attachment 127507 [details]
Exported PDF from the ODT.
Comment 2 Aron Budea 2016-09-22 05:54:03 UTC
My PDF reader (FoxIt Reader) shows an overlay light-blue fill with the text backwards (so like הקידב), which disappears and reveals the correct text when clicked.
But yeah, it's not correct, and LO v5.2.1.2 / Windows 7 produces such a PDF.
Comment 3 Omer Zak 2017-11-14 10:11:27 UTC
I tested in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


When it opened the demo.odt file, the text in the Text Field was displayed left justified with correct RTL order.
After export to the PDF file, the text was displayed right justified with correct RTL order.
Comment 4 Idan Miara 2018-09-17 19:51:18 UTC
I couldn't reproduce this bug on the 6.1.1.2 on Win10.
Printed to pdf using MS print to PDF. output as expected.
Was it fixed?
Comment 5 Idan Miara 2018-09-17 19:53:56 UTC
Created attachment 144959 [details]
Exported PDF from the ODT - seems OK

I can't reproduce this bug.
Comment 6 QA Administrators 2019-09-20 03:05:26 UTC
Dear alexrait,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug